io.vertx.groovy.servicediscovery

## Class ServiceDiscovery_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.servicediscovery.ServiceDiscovery_GroovyExtension

-     public class ServiceDiscovery_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceDiscovery_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `getRecord(ServiceDiscovery j_receiver, java.util.function.Function<Map<String,Object>,Boolean> filter, boolean includeOutOfService, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static void` | `getRecord(ServiceDiscovery j_receiver, java.util.function.Function<Map<String,Object>,Boolean> filter, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static void` | `getRecord(ServiceDiscovery j_receiver, Map<String,Object> filter, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static void` | `getRecords(ServiceDiscovery j_receiver, java.util.function.Function<Map<String,Object>,Boolean> filter, boolean includeOutOfService, Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)`
    `static void` | `getRecords(ServiceDiscovery j_receiver, java.util.function.Function<Map<String,Object>,Boolean> filter, Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)`
    `static void` | `getRecords(ServiceDiscovery j_receiver, Map<String,Object> filter, Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)`
    `static ServiceReference` | `getReference(ServiceDiscovery j_receiver, Map<String,Object> record)`
    `static ServiceReference` | `getReferenceWithConfiguration(ServiceDiscovery j_receiver, Map<String,Object> record, Map<String,Object> configuration)`
    `static Map<String,Object>` | `options(ServiceDiscovery j_receiver)`
    `static void` | `publish(ServiceDiscovery j_receiver, Map<String,Object> record, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ServiceDiscovery` | `registerServiceExporter(ServiceDiscovery j_receiver, ServiceExporter exporter, Map<String,Object> configuration)`
    `static ServiceDiscovery` | `registerServiceExporter(ServiceDiscovery j_receiver, ServiceExporter exporter, Map<String,Object> configuration, Handler<AsyncResult<Void>> completionHandler)`
    `static ServiceDiscovery` | `registerServiceImporter(ServiceDiscovery j_receiver, ServiceImporter importer, Map<String,Object> configuration)`
    `static ServiceDiscovery` | `registerServiceImporter(ServiceDiscovery j_receiver, ServiceImporter importer, Map<String,Object> configuration, Handler<AsyncResult<Void>> completionHandler)`
    `static void` | `update(ServiceDiscovery j_receiver, Map<String,Object> record, Handler<AsyncResult<Map<String,Object>>> resultHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceDiscovery_GroovyExtension

          public ServiceDiscovery_GroovyExtension()

  - ### Method Detail

    - #### getReference

          public static ServiceReference getReference(ServiceDiscovery j_receiver,
                                                      Map<String,Object> record)

    - #### getReferenceWithConfiguration

          public static ServiceReference getReferenceWithConfiguration(ServiceDiscovery j_receiver,
                                                                       Map<String,Object> record,
                                                                       Map<String,Object> configuration)

    - #### registerServiceImporter

          public static ServiceDiscovery registerServiceImporter(ServiceDiscovery j_receiver,
                                                                 ServiceImporter importer,
                                                                 Map<String,Object> configuration)

    - #### registerServiceImporter

          public static ServiceDiscovery registerServiceImporter(ServiceDiscovery j_receiver,
                                                                 ServiceImporter importer,
                                                                 Map<String,Object> configuration,
                                                                 Handler<AsyncResult<Void>> completionHandler)

    - #### registerServiceExporter

          public static ServiceDiscovery registerServiceExporter(ServiceDiscovery j_receiver,
                                                                 ServiceExporter exporter,
                                                                 Map<String,Object> configuration)

    - #### registerServiceExporter

          public static ServiceDiscovery registerServiceExporter(ServiceDiscovery j_receiver,
                                                                 ServiceExporter exporter,
                                                                 Map<String,Object> configuration,
                                                                 Handler<AsyncResult<Void>> completionHandler)

    - #### publish

          public static void publish(ServiceDiscovery j_receiver,
                                     Map<String,Object> record,
                                     Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### getRecord

          public static void getRecord(ServiceDiscovery j_receiver,
                                       Map<String,Object> filter,
                                       Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### getRecord

          public static void getRecord(ServiceDiscovery j_receiver,
                                       java.util.function.Function<Map<String,Object>,Boolean> filter,
                                       Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### getRecord

          public static void getRecord(ServiceDiscovery j_receiver,
                                       java.util.function.Function<Map<String,Object>,Boolean> filter,
                                       boolean includeOutOfService,
                                       Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### getRecords

          public static void getRecords(ServiceDiscovery j_receiver,
                                        Map<String,Object> filter,
                                        Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)

    - #### getRecords

          public static void getRecords(ServiceDiscovery j_receiver,
                                        java.util.function.Function<Map<String,Object>,Boolean> filter,
                                        Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)

    - #### getRecords

          public static void getRecords(ServiceDiscovery j_receiver,
                                        java.util.function.Function<Map<String,Object>,Boolean> filter,
                                        boolean includeOutOfService,
                                        Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)

    - #### update

          public static void update(ServiceDiscovery j_receiver,
                                    Map<String,Object> record,
                                    Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### options

          public static Map<String,Object> options(ServiceDiscovery j_receiver)

Copyright © 2017. All rights reserved.